Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           muine
Version:        0.8.8
Release:        2
Summary:        Music Player for GNOME

Group:          Multimedia/Audio
License:        GPL
URL:            http://www.muine-player.org/
Source0:        http://www.muine-player.org/releases/muine-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-core-devel, gtk-sharp-gapi, gtk-sharp-devel
BuildRequires:  gtk2+-devel, gnome-vfs-devel, gnome-icon-theme, gdbm-devel
BuildRequires:  gstreamer10-devel, gnome-sharp-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libvorbis-devel, flac-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils, gettext
Requires:       mono-core, mono-web, gtk-sharp

Requires(pre):  GConf
Requires(post): GConf, desktop-file-utils
Requires(preun): GConf
Requires(postun): desktop-file-utils

%description
Muine is a new music player for GNOME using some new UI ideas. 
The idea is that it will be much easier and comfortable 
to use than the iTunes model, which is used by most
GNOME music players. It is written in C and C#, 
using GStreamer for music playback.

%package	devel
Summary: 	Files required for Muine plug-in development
Group: 		Development/Libraries
Requires: 	%{name} = %{version}

%description	devel
Files needed for building plug-ins for Muine.

Muine is a music player for GNOME

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/gnome

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install

#install tray plugin which is not included by default
install plugins/TrayIcon.dll $RPM_BUILD_ROOT%{_libdir}/muine/plugins/
install -m 644 plugins/TrayIcon.dll.config $RPM_BUILD_ROOT%{_libdir}/muine/plugins/
install plugins/muine-tray* $RPM_BUILD_ROOT%{_libdir}/muine/plugins/

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
update-desktop-database &> /dev/null ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas > /dev/null || :

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/gnome/gconf/schemas/*
%{_datadir}/dbus-1/services/org.gnome.Muine.service
%dir %{_libdir}/muine
%{_libdir}/muine/*.dll*
%{_libdir}/muine/*.so*
%{_libdir}/muine/*.exe*
%dir %{_libdir}/muine/plugins
%{_libdir}/muine/plugins/InotifyPlugin.dll*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/muine.*
%{_libdir}/muine/plugins/TrayIcon.dll*
%{_libdir}/muine/plugins/muine-tray-*.png
%{_datadir}/doc/muine

%files devel 
%{_libdir}/pkgconfig/*.pc
%{_libdir}/muine/*.a

%changelog
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.8-2
- changed package group to Multimedia/Audio
* Thu Mar 06 2008 Christian Metzen <metzench@ccux-linux.de> 0.8.8-1
- Version update
* Wed Apr 04 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.7-1
- Initial release
